org.wildfly.swarm.config.undertow.servlet_container

## Class JSPSetting<T extends JSPSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.servlet_container.JSPSetting<T>

-     public class JSPSetting<T extends JSPSetting<T>>
      extends Object

  JSP container configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSPSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `checkInterval()` Check interval for JSP updates using a background thread.
    `T` | `checkInterval(Integer value)` Check interval for JSP updates using a background thread.
    `Boolean` | `development()` Enable Development mode which enables reloading JSP on-the-fly
    `T` | `development(Boolean value)` Enable Development mode which enables reloading JSP on-the-fly
    `Boolean` | `disabled()` Disable the JSP container.
    `T` | `disabled(Boolean value)` Disable the JSP container.
    `Boolean` | `displaySourceFragment()` When a runtime error occurs, attempts to display corresponding JSP source fragment
    `T` | `displaySourceFragment(Boolean value)` When a runtime error occurs, attempts to display corresponding JSP source fragment
    `Boolean` | `dumpSmap()` Write SMAP data to a file.
    `T` | `dumpSmap(Boolean value)` Write SMAP data to a file.
    `Boolean` | `errorOnUseBeanInvalidClassAttribute()` Enable errors when using a bad class in useBean.
    `T` | `errorOnUseBeanInvalidClassAttribute(Boolean value)` Enable errors when using a bad class in useBean.
    `Boolean` | `generateStringsAsCharArrays()` Generate String constants as char arrays.
    `T` | `generateStringsAsCharArrays(Boolean value)` Generate String constants as char arrays.
    `String` | `getKey()`
    `String` | `javaEncoding()` Specify the encoding used for Java sources.
    `T` | `javaEncoding(String value)` Specify the encoding used for Java sources.
    `Boolean` | `keepGenerated()` Keep the generated Servlets.
    `T` | `keepGenerated(Boolean value)` Keep the generated Servlets.
    `Boolean` | `mappedFile()` Map to the JSP source.
    `T` | `mappedFile(Boolean value)` Map to the JSP source.
    `Integer` | `modificationTestInterval()` Minimum amount of time between two tests for updates, in seconds.
    `T` | `modificationTestInterval(Integer value)` Minimum amount of time between two tests for updates, in seconds.
    `Boolean` | `optimizeScriptlets()` If JSP scriptlets should be optimised to remove string concatenation
    `T` | `optimizeScriptlets(Boolean value)` If JSP scriptlets should be optimised to remove string concatenation
    `Boolean` | `recompileOnFail()` Retry failed JSP compilations on each request.
    `T` | `recompileOnFail(Boolean value)` Retry failed JSP compilations on each request.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `scratchDir()` Specify a different work directory.
    `T` | `scratchDir(String value)` Specify a different work directory.
    `Boolean` | `smap()` Enable SMAP.
    `T` | `smap(Boolean value)` Enable SMAP.
    `String` | `sourceVm()` Source VM level for compilation.
    `T` | `sourceVm(String value)` Source VM level for compilation.
    `Boolean` | `tagPooling()` Enable tag pooling.
    `T` | `tagPooling(Boolean value)` Enable tag pooling.
    `String` | `targetVm()` Target VM level for compilation.
    `T` | `targetVm(String value)` Target VM level for compilation.
    `Boolean` | `trimSpaces()` Trim some spaces from the generated Servlet.
    `T` | `trimSpaces(Boolean value)` Trim some spaces from the generated Servlet.
    `Boolean` | `xPoweredBy()` Enable advertising the JSP engine in x-powered-by.
    `T` | `xPoweredBy(Boolean value)` Enable advertising the JSP engine in x-powered-by.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSPSetting

          public JSPSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### checkInterval

          public Integer checkInterval()

      Check interval for JSP updates using a background thread. This has no effect for most deployments where JSP change notifications are handled using the File System notification API. This only takes effect if the file watch service is disabled.

    - #### checkInterval

          public T checkInterval(Integer value)

      Check interval for JSP updates using a background thread. This has no effect for most deployments where JSP change notifications are handled using the File System notification API. This only takes effect if the file watch service is disabled.

    - #### development

          public Boolean development()

      Enable Development mode which enables reloading JSP on-the-fly

    - #### development

          public T development(Boolean value)

      Enable Development mode which enables reloading JSP on-the-fly

    - #### disabled

          public Boolean disabled()

      Disable the JSP container.

    - #### disabled

          public T disabled(Boolean value)

      Disable the JSP container.

    - #### displaySourceFragment

          public Boolean displaySourceFragment()

      When a runtime error occurs, attempts to display corresponding JSP source fragment

    - #### displaySourceFragment

          public T displaySourceFragment(Boolean value)

      When a runtime error occurs, attempts to display corresponding JSP source fragment

    - #### dumpSmap

          public Boolean dumpSmap()

      Write SMAP data to a file.

    - #### dumpSmap

          public T dumpSmap(Boolean value)

      Write SMAP data to a file.

    - #### errorOnUseBeanInvalidClassAttribute

          public Boolean errorOnUseBeanInvalidClassAttribute()

      Enable errors when using a bad class in useBean.

    - #### errorOnUseBeanInvalidClassAttribute

          public T errorOnUseBeanInvalidClassAttribute(Boolean value)

      Enable errors when using a bad class in useBean.

    - #### generateStringsAsCharArrays

          public Boolean generateStringsAsCharArrays()

      Generate String constants as char arrays.

    - #### generateStringsAsCharArrays

          public T generateStringsAsCharArrays(Boolean value)

      Generate String constants as char arrays.

    - #### javaEncoding

          public String javaEncoding()

      Specify the encoding used for Java sources.

    - #### javaEncoding

          public T javaEncoding(String value)

      Specify the encoding used for Java sources.

    - #### keepGenerated

          public Boolean keepGenerated()

      Keep the generated Servlets.

    - #### keepGenerated

          public T keepGenerated(Boolean value)

      Keep the generated Servlets.

    - #### mappedFile

          public Boolean mappedFile()

      Map to the JSP source.

    - #### mappedFile

          public T mappedFile(Boolean value)

      Map to the JSP source.

    - #### modificationTestInterval

          public Integer modificationTestInterval()

      Minimum amount of time between two tests for updates, in seconds.

    - #### modificationTestInterval

          public T modificationTestInterval(Integer value)

      Minimum amount of time between two tests for updates, in seconds.

    - #### optimizeScriptlets

          public Boolean optimizeScriptlets()

      If JSP scriptlets should be optimised to remove string concatenation

    - #### optimizeScriptlets

          public T optimizeScriptlets(Boolean value)

      If JSP scriptlets should be optimised to remove string concatenation

    - #### recompileOnFail

          public Boolean recompileOnFail()

      Retry failed JSP compilations on each request.

    - #### recompileOnFail

          public T recompileOnFail(Boolean value)

      Retry failed JSP compilations on each request.

    - #### scratchDir

          public String scratchDir()

      Specify a different work directory.

    - #### scratchDir

          public T scratchDir(String value)

      Specify a different work directory.

    - #### smap

          public Boolean smap()

      Enable SMAP.

    - #### smap

          public T smap(Boolean value)

      Enable SMAP.

    - #### sourceVm

          public String sourceVm()

      Source VM level for compilation.

    - #### sourceVm

          public T sourceVm(String value)

      Source VM level for compilation.

    - #### tagPooling

          public Boolean tagPooling()

      Enable tag pooling.

    - #### tagPooling

          public T tagPooling(Boolean value)

      Enable tag pooling.

    - #### targetVm

          public String targetVm()

      Target VM level for compilation.

    - #### targetVm

          public T targetVm(String value)

      Target VM level for compilation.

    - #### trimSpaces

          public Boolean trimSpaces()

      Trim some spaces from the generated Servlet.

    - #### trimSpaces

          public T trimSpaces(Boolean value)

      Trim some spaces from the generated Servlet.

    - #### xPoweredBy

          public Boolean xPoweredBy()

      Enable advertising the JSP engine in x-powered-by.

    - #### xPoweredBy

          public T xPoweredBy(Boolean value)

      Enable advertising the JSP engine in x-powered-by.

Copyright © 2018 JBoss by Red Hat. All rights reserved.